collapse

* Posts Recentes

LusoRobótica - Website - Estado actual por TigPT
[11 de Novembro de 2018, 16:08]


Circuito para distinguir fase do neutro por TigPT
[10 de Novembro de 2018, 15:50]


Vende-se MUITO e BOM material por vasco
[08 de Novembro de 2018, 14:37]


leitura de voltagens com o analogRead(A0) por vasco
[08 de Novembro de 2018, 13:59]


Controlar Velocidade Motor AC por senso
[06 de Novembro de 2018, 23:05]


Placa misteriosa por edeweld
[04 de Novembro de 2018, 16:41]


Gearbox por josecarlos
[04 de Novembro de 2018, 11:36]


Referencias de standards tubagens industriais por KammutierSpule
[29 de Outubro de 2018, 23:23]


Maneira correta de ler o ADC do Arduino ? por Njay
[28 de Outubro de 2018, 01:44]


LR, passado, presente e futuro por SerraCabo
[26 de Outubro de 2018, 23:30]

Autor Tópico: Como usar ficheiros lisp no Draftsight?  (Lida 560 vezes)

0 Membros e 1 Visitante estão a ver este tópico.

Offline brunus

  • Mini Robot
  • *
  • Mensagens: 181
Como usar ficheiros lisp no Draftsight?
« em: 27 de Dezembro de 2016, 23:09 »
Precisava de estimar, calcular o perímetro de todas as linhas, segmentos, curvas de um desenho no draftsight. Pelo que percebi não existe essa função por defeito, ou se existe, é preciso andar a selecionar o inicio e fim de cada segmento e se forem mais de 300 segmentos/polylines, torna-se inviável.

Pesquisando o assunto, dei com um forum onde pessoal expõe programas ou uma série de linhas de comando para se usar com o autolisp.

um exemplo:
Citar
Give this a try:
Código: [Seleccione]
(defun c:tlen (/ n e ss rjp-getlength)
  (defun rjp-getlength (e / ep)
    (if (= (type e) 'ename)
      (setq e (vlax-ename->vla-object e))
    )
    (if (not (vl-catch-all-error-p
               (setq ep (vl-catch-all-apply 'vlax-curve-getendparam (list e)))
             )
        )
      (vlax-curve-getdistatparam e ep)
      0.0
    )
  )
  (setq n 0)
  (if (setq ss (ssget))
    (progn (while (setq e (ssname ss 0))
             (setq n (+ (rjp-getlength e) n))
             (ssdel e ss)
           )
           (alert (rtos n))
    )
  )
  (princ)

Como posso usar isto no Draftsight?

1) Para gravar o ficheiro em lisp, basta colocar estas linhas no notepad e gravar com a extensão .lsp?
2) Como executo o ficheiro lisp no Draftsight? ou qual a linha de comandos?
3) É preciso compilar o ficheiro lisp ou colocá-lo em alguma pasta ou directorio do Draftsight?